Description: Make exceptions valid again.
 Modern Pythons don't allow a string in the raise command.
Author: David Martínez Moreno <ender@debian.org>
Forwarded: no
Last-Update: 2016-11-09

--- a/lib/vclib/ccvs/ccvs.py
+++ b/lib/vclib/ccvs/ccvs.py
@@ -314,7 +314,7 @@ class TreeSink(rcsparse.Sink):
             added = added + count
             idx = idx + count
           elif command:
-            raise "error while parsing deltatext: %s" % command
+            raise vclib.Error("error while parsing deltatext: %s" % command)
 
     if len(rev.number) == 2:
       rev.next_changed = changed and "+%i -%i" % (deled, added)
--- a/lib/win32popen.py
+++ b/lib/win32popen.py
@@ -184,7 +184,7 @@ def SpoolWorker(srcHandle, destHandle, o
         hr, data = win32file.ReadFile(srcHandle, buffer)
         #print >> SPOOL_ERROR, "ReadFile returned '%s', '%s'" % (str(hr), str(data)); SPOOL_ERROR.flush()
         if hr != 0:
-          raise "win32file.ReadFile returned %i, '%s'" % (hr, data)
+          raise Exception("win32file.ReadFile returned %i, '%s'" % (hr, data))
         elif len(data) == 0:
           break
       except pywintypes.error, e:
@@ -205,7 +205,7 @@ def SpoolWorker(srcHandle, destHandle, o
         hr, bytes = win32file.WriteFile(destHandle, data)
         #print >> SPOOL_ERROR, "WriteFile() passed %i bytes and returned %i, %i" % (len(data), hr, bytes); SPOOL_ERROR.flush()
         if hr != 0 or bytes != len(data):
-          raise "win32file.WriteFile() passed %i bytes and returned %i, %i" % (len(data), hr, bytes)
+          raise Exception("win32file.WriteFile() passed %i bytes and returned %i, %i" % (len(data), hr, bytes))
 
     srcHandle.Close()
 
